function [ EventRecords ] = ExtractRecordsToStruct( c, numberOfRecords )
%% inputs: 
% c - the .NET object
% numberOfRecords - the number of records loaded from this file set
%% output
% 1 x numberOfRecords struct containing EventNumber, EventType, TimeStamp, TimeMsFromMidnight, TimeSource, Details 
    for recIdx = numberOfRecords:-1:1 % iterates backwards to preallocate array by assigning the final index first.
        myRecord = c.GetIndexedRecord(recIdx - 1); 
        EventRecords(recIdx).EventNumber = str2double(char(myRecord(1))); 
        EventRecords(recIdx).EventType = char(myRecord(2));
        EventRecords(recIdx).TimeStamp = char(myRecord(3));
        EventRecords(recIdx).TimeMsFromMidnight = str2double(char(myRecord(4)));
        EventRecords(recIdx).TimeSource = char(myRecord(5));
        EventRecords(recIdx).Details = char(myRecord(6));
    end
end

