function sortedEventRecords = FixEventNumbering(sortedEventRecords)
% events are only numbered correctly within files but not across files.
% This function fixes the numbering across the file set

    for i =2:length(sortedEventRecords)
        if (strcmp(sortedEventRecords(i).EventType, 'Continuation record')) %change continuation record to continued
            sortedEventRecords(i).EventType = '...Continued';
        end

        if (strcmp(sortedEventRecords(i).EventType, '...Continued')) %fix numbering
            sortedEventRecords(i).EventNumber = sortedEventRecords(i-1).EventNumber + 0.1;
        else
            sortedEventRecords(i).EventNumber = floor(sortedEventRecords(i-1).EventNumber) + 1;
        end
    end

end

